defmodule Pasticcio.Repo.Migrations.CreatePastes do
  use Ecto.Migration

  def change do
    create table(:pastes) do
      add :public, :boolean, default: false, null: false
      add :rand_id, :string, null: false
      add :ip, :inet
      add :title, :text, null: false
      add :paste_blob, :text

      timestamps()
    end

    create(unique_index(:pastes, [:rand_id], name: :paste_rand_id_unique_index))
  end
end
