defmodule Pasticcio.Repo.Migrations.CreateWallsPastes do
  use Ecto.Migration

  def change do
    create table(:walls_pastes, primary_key: false) do
      add :wall_id, references(:walls, on_delete: :delete_all), primary_key: true
      add :paste_id, references(:pastes, on_delete: :delete_all), primary_key: true
      timestamps()
    end

    create(index(:walls_pastes, [:wall_id]))
    create(index(:walls_pastes, [:paste_id]))

    create(
      unique_index(:walls_pastes, [:wall_id, :paste_id], name: :wall_id_paste_id_unique_index)
    )
  end
end
